--- /lfs/usr/src/PyQt-snapshot-20020614/sip/qnamespace.sip.qws	Sat Jun 15 00:06:24 2002
+++ /lfs/usr/src/PyQt-snapshot-20020614/sip/qnamespace.sip	Sat Jun 15 00:07:16 2002
@@ -700,7 +700,7 @@
 		ExactMatch
 	};
 
-%If (WS_WIN || WS_MACX)
+%If (WS_WIN || WS_MACX || WS_QWS)
 	typedef void *HANDLE;
 %End
 %If (WS_X11)
--- /lfs/usr/src/PyQt-snapshot-20020614/sip/qprocess.sip.qws	Sat Jun 15 00:09:22 2002
+++ /lfs/usr/src/PyQt-snapshot-20020614/sip/qprocess.sip	Sat Jun 15 00:11:22 2002
@@ -63,7 +63,7 @@
 %If (WS_WIN)
 	typedef void *PID;
 %End
-%If (WS_X11 || WS_MACX)
+%If (WS_X11 || WS_MACX || WS_QWS)
 	typedef long PID;
 %End
 
--- /lfs/usr/src/PyQt-snapshot-20020614/build.py.qws	Fri Jun 14 23:58:05 2002
+++ /lfs/usr/src/PyQt-snapshot-20020614/build.py	Sat Jun 15 01:18:18 2002
@@ -22,6 +22,7 @@
 qtDir = None
 qtVersion = 0
 threaded = -1
+enableEmbedded = 0
 pyModuleDir = None
 pyIncludeDir = None
 sipModuleDir = None
@@ -50,6 +51,7 @@
     print "    -h        display this help message"
     print "    -b dir    where pyuic will be installed [default %s]" % (binDir)
     print "    -d dir    where PyQt will be installed [default site-packages]"
+    print "    -e        enable Qt Embedded instead of Qt-X11"
     print "    -g prog   the name of the Makefile generator"
     print "    -m prog   the name of the Make program [default %s]" % (defMakeName())
     print "    -p dir    the name of the SIP code generator [default sip]"
@@ -386,8 +388,12 @@
 
     qtlibdir = qtDir + "/lib"
 
-    ismt = isLibrary(qtlibdir,"qt-mt")
-    isst = isLibrary(qtlibdir,"qt")
+    if enableEmbedded:
+        ismt = isLibrary(qtlibdir,"qte-mt")
+        isst = isLibrary(qtlibdir,"qte")
+    else:
+        ismt = isLibrary(qtlibdir,"qt-mt")
+        isst = isLibrary(qtlibdir,"qt")
 
     if ismt and isst:
         if threaded < 0:
@@ -744,7 +750,7 @@
     progName = os.path.basename(argv[0])
 
     try:
-        optlist, args = getopt.getopt(argv[1:],"hb:d:g:m:p:q:s:t:w")
+        optlist, args = getopt.getopt(argv[1:],"hb:d:eg:m:p:q:s:t:w")
     except getopt.GetoptError:
         usage()
 
@@ -760,6 +766,9 @@
         elif opt == "-d":
             global pyModuleDir
             pyModuleDir = arg
+        elif opt == "-e":
+            global enableEmbedded
+            enableEmbedded = 1
         elif opt == "-g":
             global makefileGen
             makefileGen = arg
@@ -796,6 +805,8 @@
     # code we need.
     if sys.platform == "win32":
         plattag = "WS_WIN"
+    elif enableEmbedded: 
+        plattag = "WS_QWS"
     else:
         plattag = "WS_X11"
 
